org.bouncycastle.asn1.icao

## Class LDSSecurityObject

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.icao.LDSSecurityObject

All Implemented Interfaces:
  DEREncodable, ICAOObjectIdentifiers

    public class LDSSecurityObject
    extends ASN1Encodable
    implements ICAOObjectIdentifiers

The LDSSecurityObject object.

     LDSSecurityObject ::= SEQUENCE {
       version                LDSSecurityObjectVersion,
       hashAlgorithm          DigestAlgorithmIdentifier,
       dataGroupHashValues    SEQUENCE SIZE (2..ub-DataGroups) OF DataHashGroup}

     DigestAlgorithmIdentifier ::= AlgorithmIdentifier,

     LDSSecurityObjectVersion :: INTEGER {V0(0)}

### Field Summary

Fields
`static int` `ub_DataGroups`

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Fields inherited from interface org.bouncycastle.asn1.icao.ICAOObjectIdentifiers

`id_icao, id_icao_ldsSecurityObject, id_icao_mrtd, id_icao_mrtd_security`

### Constructor Summary

Constructors
Constructor and Description
`LDSSecurityObject(AlgorithmIdentifier digestAlgorithmIdentifier, DataGroupHash[] datagroupHash)`
`LDSSecurityObject(ASN1Sequence seq)`

### Method Summary

Methods
`DataGroupHash[]` `getDatagroupHash()`
`AlgorithmIdentifier` `getDigestAlgorithmIdentifier()`
`static LDSSecurityObject` `getInstance(java.lang.Object obj)`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ub_DataGroups

    public static final int ub_DataGroups

See Also:
  Constant Field Values

### Constructor Detail

#### LDSSecurityObject

    public LDSSecurityObject(ASN1Sequence seq)

#### LDSSecurityObject

    public LDSSecurityObject(AlgorithmIdentifier digestAlgorithmIdentifier,
                     DataGroupHash[] datagroupHash)

### Method Detail

#### getInstance

    public static LDSSecurityObject getInstance(java.lang.Object obj)

#### getDigestAlgorithmIdentifier

    public AlgorithmIdentifier getDigestAlgorithmIdentifier()

#### getDatagroupHash

    public DataGroupHash[] getDatagroupHash()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`